[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.MoveBand

Performs actions needed when a band is moved to new position.

## Declaration

Source position: extctrls.pp line 1642

`protected procedure TCustomControlBar.MoveBand(`
`AMoveBand: TCtrlBand;`
`X: Integer;`
`Y: Integer;`
`ByMouse: Boolean`
`);`

## Arguments

`AMoveBand` |  | TCtrlBand instance moved in the method.
`X` |  | Horizontal coordinate for the mouse pointer.
`Y` |  | Vertical coordinate for the mouse pointer.
`ByMouse` |  | True if the mouse cursor is changed to the cdGrabber shape prior to moving the specified band on the control.

## Description

MoveBand determines the new position for a band moved using the mouse or by setting its coordinates. Rearranges adjacent bands (and rows) as needed. The DoBandMove method is called to signal the OnBandMove event handler (when assigned).

MoveBand is called from the MouseMove method, and occurs after the DragManager has started the drag operation for the control. It is also used in the CheckBandsSizeAndVisibility method, where it is called after visible bands have been sorted and normalized.

## See also

TCustomControlBar.MouseMove |  | Handles a mouse move message including dragging a control band.
TCustomControlBar.DoBandMove |  | Signals the OnBandMove event handler for the specified control and drawing rectangle.
TCustomControlBar.OnBandMove |  | Event handler signalled when a control band is moved on the control bar.
TCustomControlBar.ChangeCursor |  | Changes the cursor to the specified shape.
TCustomControlBar.CheckBandsSizeAndVisibility |  | Updates the size and visibility for TCtrlBand instances defined in the control bar.
TCursorDesign |  | Represents cursor shapes displayed when the mouse hovers over different areas in a control band.